rpmInstallArguments_s Struct Reference

Describe database command line requests. More...

`#include <rpmcli.h>`

Collaboration diagram for rpmInstallArguments_s:
[legend]

## Data Fields

rpmtransFlags | transFlags
rpmprobFilterFlags | probFilter
rpmInstallFlags | installInterfaceFlags
int | numRelocations
int | noDeps
int | incldocs
rpmRelocation * | relocations
char * | prefix

## Detailed Description

Describe database command line requests.

Definition at line 339 of file rpmcli.h.

## Field Documentation

int rpmInstallArguments_s::incldocs

Definition at line 345 of file rpmcli.h.

Referenced by main().

rpmInstallFlags rpmInstallArguments_s::installInterfaceFlags

Definition at line 342 of file rpmcli.h.

Referenced by main().

int rpmInstallArguments_s::noDeps

Definition at line 344 of file rpmcli.h.

Referenced by main().

int rpmInstallArguments_s::numRelocations

Definition at line 343 of file rpmcli.h.

Referenced by main().

char* rpmInstallArguments_s::prefix

Definition at line 347 of file rpmcli.h.

Referenced by main().

rpmprobFilterFlags rpmInstallArguments_s::probFilter

Definition at line 341 of file rpmcli.h.

Referenced by main().

rpmRelocation* rpmInstallArguments_s::relocations

Definition at line 346 of file rpmcli.h.

Referenced by main().

rpmtransFlags rpmInstallArguments_s::transFlags

Definition at line 340 of file rpmcli.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- rpmcli.h